Get cluster namespace Cronjob details

Get cluster namespace Cronjob details

get

Get detailed information for CronJob in the specified cluster and namespace.

Path parameters
clusterIdstringRequired
namespaceNamestringRequired
cronJobNamestringRequired
Responses
chevron-right
200

OK

*/*
activeJobCntintegerOptional

active job count

Example: 1
creationTimestampstringOptionalExample: 2023-06-14 09:30:39
deploymentstringOptional

deployment information

Example: {"apiVersion":"batch/v1","kind":"CronJob"...
deploymentYamlstringOptional

deployment information(YAML)

Example: apiVersion: batch/v1 kind: CronJob metadata: ...
imagesstring[]Optional

Image list

Example: nginx:latest
lastScheduleTimestringOptionalExample: 2023-07-04 06:38:00
namestringOptional

CronJob name

Example: cronjob
namespacestringOptional

namespace name

Example: cocktail-system
schedulestringOptionalExample: * * * * *
suspendbooleanOptionalExample: false
get
/v1/clusters/{clusterId}/namespaces/{namespaceName}/cronjobs/{cronJobName}
200

OK